# Maintainer: William Christensen <dagoredcode@gmail.com>

pkgname=dotnet-preview
conflicts=(
    dotnet-host
    aspnet-runtime
    netstandard-targeting-pack-2.1
    dotnet-targeting-pack
    aspnet-targeting-pack
    dotnet-runtime 
    dotnet-sdk
)
pkgver=5.0.0+100+rc.2.20479.15
pkgrel=1
arch=(aarch64)
url=https://www.microsoft.com/net/core
license=(MIT)
options=(staticlibs)
source_aarch64=(https://download.visualstudio.microsoft.com/download/pr/b416bc12-1478-4241-bc31-6fe68f8b73b6/582f018a97172f4975973390cf3f58e7/dotnet-sdk-5.0.100-rc.2.20479.15-linux-arm64.tar.gz)
sha512sums_aarch64=(1aab49b2c328c4de8c40e790df99aa327a3aeba5d904696fa151acbfb7b5620ebf3d1e2e9726895d92b6146295840ffe3f2fb7208a81c7b73d2c92c9fcf50dbf)

package(){
    rm $srcdir/*.tar.gz
    install -dm 755 $pkgdir/usr/{bin,lib,share/{dotnet,licenses/dotnet}}
    # install -Dm 755 $srcdir/{host,packs,sdk,shared,templates} $pkgdir/usr/share/dotnet/.
    install -Dm 755 $srcdir/{LICENSE.txt,ThirdPartyNotices.txt,dotnet} $pkgdir/usr/share/dotnet/.
    cp -dr --no-preserve='ownership' LICENSE.txt ThirdPartyNotices.txt "${pkgdir}"/usr/share/licenses/dotnet
    cp -dr --no-preserve='ownership' host packs sdk shared templates $pkgdir/usr/share/dotnet/.
    cp --no-preserve='ownership' $srcdir/dotnet $pkgdir/usr/bin/dotnet
    ln -sf /usr/share/dotnet/dotnet "${pkgdir}"/usr/bin/dotnet
    ln -s dotnet $pkgdir/usr/share/licenses/dotnet
}
